import request from '@/utils/request'

// 查询数据调查-农户户内成员列表
export function listNhhncy(query) {
  return request({
    url: '/houseSurvey/nhhncy/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-农户户内成员
export function exportNhhncy(query) {
  return request({
    url: '/houseSurvey/nhhncy/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-农户户内成员详细
export function getNhhncy(id) {
  return request({
    url: '/houseSurvey/nhhncy/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-农户户内成员
export function addNhhncy(data) {
  return request({
    url: '/houseSurvey/nhhncy/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function nhhncyConnectTask(data) {
  return request({
    url: '/houseSurvey/nhhncy/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-农户户内成员
export function updateNhhncy(data) {
  return request({
    url: '/houseSurvey/nhhncy/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-农户户内成员
export function delNhhncy(id) {
  return request({
    url: '/houseSurvey/nhhncy/remove/' + id,
    method: 'get'
  })
}

